org.apache.solr.client.solrj.io.ops

## Class ReplaceWithValueOperation

- java.lang.Object
- - org.apache.solr.client.solrj.io.ops.ReplaceWithValueOperation

All Implemented Interfaces:
  Serializable, StreamOperation, Expressible

    public class ReplaceWithValueOperation
    extends Object
    implements StreamOperation

Implementation of replace(...., withValue="some value") See ReplaceOperation for description.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ReplaceWithValueOperation(String forField, StreamExpression expression, StreamFactory factory)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `operate(Tuple tuple)`
`Explanation` `toExplanation(StreamFactory factory)` Returns an explanation about the stream object
`StreamExpressionParameter` `toExpression(StreamFactory factory)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ReplaceWithValueOperation

    public ReplaceWithValueOperation(String forField,
                                     StreamExpression expression,
                                     StreamFactory factory)
                              throws IOException

Throws:
  `IOException`

### Method Detail

#### operate

    public void operate(Tuple tuple)

Specified by:
  `operate` in interface `StreamOperation`

#### toExpression

    public StreamExpressionParameter toExpression(StreamFactory factory)
                                           throws IOException

Specified by:
  `toExpression` in interface `Expressible`
Throws:
  `IOException`

#### toExplanation

    public Explanation toExplanation(StreamFactory factory)
                              throws IOException

Description copied from interface: `Expressible`
Returns an explanation about the stream object

Specified by:
  `toExplanation` in interface `Expressible`
Parameters:
  `factory` - Stream factory for this, contains information about the function name
Returns:
  Explanation about this stream object containing explanations of any child stream objects
Throws:
  `IOException` - throw on any error